Subject: Re: [PATCH v6] revision.c: implement --max-count-oldest

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 May 2026 18:20:40 +0900

Mirko Faina <[email-masked]> writes:

>> BTW, this makes me think whether this kind of limiting could be
>> triggered by a negative argument to --max-count.
>
> Would be a good idea if it weren't for the fact that --max-count < 0 has
> for a long time acted like no max count. I'd imagine many could be
> asssuming this behaviour in their scripts.

Many?  I am not sure.  

What do these script try to achieve by having "--max-count=-1"?  It
would be to defeat --max-count=<n> coming from elsewhere, but where?